KIO::PasswordDialog class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::PasswordDialog Class Reference

A dialog for requesting a login and a password from the end user. More...

`#include <passdlg.h>`

Inheritance diagram for KIO::PasswordDialog:

[legend]
Collaboration diagram for KIO::PasswordDialog:

[legend]
List of all members.

## Public Member Functions
| PasswordDialog (const QString &prompt, const QString &user, bool enableKeep=false, bool modal=true, QWidget *parent=0, const char *name=0)
| Create a password dialog.
| ~PasswordDialog ()
| Destructor.
void | setPrompt (const QString &prompt)
| Sets the prompt to show to the user.
void | addCommentLine (const QString &label, const QString comment)
| Adds a comment line to the dialog.
QString | password () const
| Returns the password entered by the user.
QString | username () const
| Returns the username entered by the user.
bool | keepPassword () const
| Determines whether supplied authorization should persist even after the application has been closed.
void | setUserReadOnly (bool readOnly)
| Sets the username field read-only and sets the focus to the password field.
void | setEnableUserField (bool enable, bool=false)
| This class or method is obsolete, it is provided for compatibility only..
void | setPassword (const QString &password)
| Presets the password Since: 3.1.
## Static Public Member Functions
int | getNameAndPassword (QString &user, QString &pass, bool *keep, const QString &prompt=QString::null, bool readOnly=false, const QString &caption=QString::null, const QString &comment=QString::null, const QString &label=QString::null)
| A convienence static method for obtaining authorization information from the end user.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A dialog for requesting a login and a password from the end user.

KIO-Slave authors are encouraged to use SlaveBase::openPassDlg instead of directly instantiating this dialog.

Definition at line 35 of file passdlg.h.

## Constructor & Destructor Documentation

KIO::PasswordDialog::PasswordDialog | ( | const QString & | prompt,
|  | const QString & | user,
|  | bool | enableKeep = false,
|  | bool | modal = true,
|  | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

  | Create a password dialog. Parameters:
  prompt | instructional text to be shown.
  user | username, if known initially.
  enableKeep | if true, makes password persistent until KDE is shutdown.
  modal | if true, the dialog will be modal (default:true).
  parent | the parent widget (default:NULL).
  name | the dialog name (default:NULL).

KIO::PasswordDialog::~PasswordDialog | ( |  | ) |

| Destructor.

## Member Function Documentation

void KIO::PasswordDialog::setPrompt | ( | const QString & | prompt | ) |

| Sets the prompt to show to the user.

void KIO::PasswordDialog::addCommentLine | ( | const QString & | label,
|  | const QString | comment
| ) |

  | Adds a comment line to the dialog. This function allows you to add one additional comment line to this widget. Calling this fucntion after a comment has already been added will not have any effect. Parameters:
  label | label for comment (ex:"Command:")
  comment | the actual comment text.

QString KIO::PasswordDialog::password | ( |  | ) | const

| Returns the password entered by the user.

QString KIO::PasswordDialog::username | ( |  | ) | const

| Returns the username entered by the user.

bool KIO::PasswordDialog::keepPassword | ( |  | ) | const

| Determines whether supplied authorization should persist even after the application has been closed.

void KIO::PasswordDialog::setUserReadOnly | ( | bool | readOnly | ) |

  | Sets the username field read-only and sets the focus to the password field. Parameters:
  readOnly |
Referenced by setEnableUserField().

void KIO::PasswordDialog::setEnableUserField | ( | bool | enable,
|  | bool | = false
| ) | `[inline]`

| This class or method is obsolete, it is provided for compatibility only.. Use setUserReadOnly(bool). Definition at line 103 of file passdlg.h. References setUserReadOnly().

void KIO::PasswordDialog::setPassword | ( | const QString & | password | ) |

| Presets the password Since: 3.1.

int KIO::PasswordDialog::getNameAndPassword | ( | QString & | user,
|  | QString & | pass,
|  | bool * | keep,
|  | const QString & | prompt = QString::null,
|  | bool | readOnly = false,
|  | const QString & | caption = QString::null,
|  | const QString & | comment = QString::null,
|  | const QString & | label = QString::null
| ) | `[static]`

  | A convienence static method for obtaining authorization information from the end user. Parameters:
  user | username
  pass | password
  keep | pointer to flag that indicates
  prompt | text to display to user.
  readOnly | make the username field read-only.
  caption | set the title bar to given text.
  comment | extra comment to display to user.
  label | optinal label for extra comment.
Returns: Accept/Reject based on the user choice.

The documentation for this class was generated from the following file:

- passdlg.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:25:58 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001